// FIXME: This doesn't do any HTML escaping yet.

const R = require('ramda');

const serializeAttrs = attrs =>
  Object.keys(attrs).map(aname => ` ${aname}="${attrs[aname]}"`).join('');

const element = name => (content, attrs) =>
  `<${name}${serializeAttrs(attrs || [])}>${content}</${name}>`;

const tags = [
  'a',
  'body',
  'h1',
  'head',
  'html',
  'table',
  'td',
  'th',
  'title',
  'tr',
];

const xhtml = R.fromPairs(tags.map(k => [k, element(k)]));

module.exports = xhtml;
